MagickMind
  1. Mindspaces
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
          POST
        • Update Mindspace
          PUT
        • Get Mindspace by ID
          GET
        • Get Mindspace List
          GET
        • Delete Mindspace
          DELETE
        • Get Mindspace Messages
          GET
        • Delete Mindspace
          DELETE
        • Add Mindspace Users by ID
          POST
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
        • Invalidate Cache
  1. Mindspaces

Update Mindspace

Testing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
PUT
/v1/workspaces/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.magickmind.ai/v1/workspaces/6823a223c07297c9f0abc358' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Test Workspace",
    "description": "Magick Mind by GMI",
    "user_id": "test_user_id"
}'
Response Response Example
{
    "success": true,
    "message": "Workspace updated successfully.",
    "workspace": {
        "id": "6823a223c07297c9f0abc358",
        "name": "Test Workspace",
        "description": "Magick Mind by GMI",
        "created_by_user_id": "",
        "created_at": "2025-05-14T02:48:51+07:00",
        "updated_at": "2025-05-14T02:48:51+07:00"
    }
}
Previous
Create Mindspace
Next
Get Mindspace by ID
Built with